=== debian/changelog ===
cutefish-dock (0.8) UNRELEASED; urgency=low

  * Update 0.7

 -- CutefishOS <support@cutefishos.com>  Sat, 29 Jan 2022 03:17:39 +0800
